---
- name: Ensure required variables are defined
  set_fact:
    required_variables_not_set_tmp: "{{ item }}"
  when: vars[item] is undefined
  register: required_variables
  loop:
    - syslog_log_items
    - syslog_destinations
    - syslog_sources

- name: Set required_variables fact
  set_fact:
    required_variables_not_set: |
      {{
        required_variables.results
        | selectattr('ansible_facts', 'defined')
        | map(attribute='ansible_facts.required_variables_not_set_tmp')
        | list
        | reject('equalto', None)
      }}

- name: Found required variables not set
  fail:
    msg: "Required variables {{ required_variables_not_set }} not set"
  when: (required_variables_not_set | length) > 0
